varying vec2 uv[15];

void main()
{
    gl_Position = ftransform();
    
    uv[ 0] = vec2(gl_MultiTexCoord0.x - 7.0, gl_MultiTexCoord0.y);
    uv[ 1] = vec2(gl_MultiTexCoord0.x - 6.0, gl_MultiTexCoord0.y);
    uv[ 2] = vec2(gl_MultiTexCoord0.x - 5.0, gl_MultiTexCoord0.y);
    uv[ 3] = vec2(gl_MultiTexCoord0.x - 4.0, gl_MultiTexCoord0.y);
    uv[ 4] = vec2(gl_MultiTexCoord0.x - 3.0, gl_MultiTexCoord0.y);
    uv[ 5] = vec2(gl_MultiTexCoord0.x - 2.0, gl_MultiTexCoord0.y);
    uv[ 6] = vec2(gl_MultiTexCoord0.x - 1.0, gl_MultiTexCoord0.y);
    uv[ 7] = gl_MultiTexCoord0.xy;
    uv[ 8] = vec2(gl_MultiTexCoord0.x + 1.0, gl_MultiTexCoord0.y);
    uv[ 9] = vec2(gl_MultiTexCoord0.x + 2.0, gl_MultiTexCoord0.y);
    uv[10] = vec2(gl_MultiTexCoord0.x + 3.0, gl_MultiTexCoord0.y);
    uv[11] = vec2(gl_MultiTexCoord0.x + 4.0, gl_MultiTexCoord0.y);
    uv[12] = vec2(gl_MultiTexCoord0.x + 5.0, gl_MultiTexCoord0.y);
    uv[13] = vec2(gl_MultiTexCoord0.x + 6.0, gl_MultiTexCoord0.y);
    uv[14] = vec2(gl_MultiTexCoord0.x + 7.0, gl_MultiTexCoord0.y);
}